searchNodes=[{"doc":"Documentation for IvcvEx .","ref":"IvcvEx.html","title":"IvcvEx","type":"module"},{"doc":"Get the result of a video analysis. Result include multiple items from the analysis. Returns {:ok, Result.t()} and Result contains: emotions (object) - Average intensity and positivity during the video. Integer values between 0 to 100. impression (object) - First impression analysis with Big Five metrics. Integer values between 0 to 100. sentiment (float) - Sentiment analysis result. Integer value between 0 to 100. status (string) - Current status of the processing. One of FINISHED, PROCESSING, FAILED. resultId (string) - Id of the result. Parameters result_id: Id of the result. This is obtained when the video is sent initially. Examples IvcvEx . get_analysis_result ( &quot;result_id&quot; ) Reference https://docs.ivcv.eu/result_for_video.html#blueprints.direct_blueprints.analysis_result","ref":"IvcvEx.html#get_analysis_result/1","title":"IvcvEx.get_analysis_result/1","type":"function"},{"doc":"Process video by url. Returns {:ok, result_id} if video was accepted by IVCV servers, otherwise {:error, reason} is returned. Parameters video_url: String that represents the video url. Examples IvcvEx . process_video_by_url ( &quot;https://example.com/video.mp4&quot; ) Reference https://docs.ivcv.eu/result_for_video.html#blueprints.direct_blueprints.process_video_by_url","ref":"IvcvEx.html#process_video_by_url/1","title":"IvcvEx.process_video_by_url/1","type":"function"},{"doc":"Struct to hold the data analysis result emotions (Emotions.t()) - Average intensity and positivity during the video. Integer values between 0 to 100. impression (Impression.t()) - First impression analysis with Big Five metrics. Integer values between 0 to 100. sentiment (float) - Sentiment analysis result. Integer value between 0 to 100. status (string) - Current status of the processing. One of FINISHED, PROCESSING, FAILED. resultId (string) - Id of the result.","ref":"IvcvEx.Result.html","title":"IvcvEx.Result","type":"module"},{"doc":"","ref":"IvcvEx.Result.html#parse/1","title":"IvcvEx.Result.parse/1","type":"function"},{"doc":"","ref":"IvcvEx.Result.html#t:t/0","title":"IvcvEx.Result.t/0","type":"type"},{"doc":"IvcvEx is a client library for IVCV , so you can request video analysis and later fetch the results. You only need to set your authentication api key in the config file and enjoy the feature of IVCV withou having to configure http calls, ensure urls or dealing with tricky configurations. Use your time in the business logic of your app.","ref":"readme.html","title":"IvcvEx","type":"extras"},{"doc":"The package can be installed by adding ivcv_ex to your list of dependencies in mix.exs : def deps do [ { :ivcv_ex , &quot;~&gt; 0.1.0&quot; } ] end","ref":"readme.html#installation","title":"IvcvEx - Installation","type":"extras"},{"doc":"config.exs config :ivcv_ex , http_client : HTTPoison , auth_key : &quot;[your_authentication_key]&quot; , base_url : &quot;https://api.ivcv.eu&quot;","ref":"readme.html#configurations","title":"IvcvEx - Configurations","type":"extras"},{"doc":"Licensed under MIT license","ref":"readme.html#license","title":"IvcvEx - License","type":"extras"},{"doc":"If you found this library useful, dont forget to star it (on github) =)","ref":"readme.html#ps","title":"IvcvEx - PS","type":"extras"},{"doc":"","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"","ref":"changelog.html#unreleased-releasedate","title":"Changelog - Unreleased - ReleaseDate","type":"extras"},{"doc":"Fix log message on ivcv error request","ref":"changelog.html#0-16-0-2023-4-19","title":"Changelog - 0.16.0 - 2023-4-19","type":"extras"},{"doc":"Fix description and readme","ref":"changelog.html#0-15-0-2023-4-19","title":"Changelog - 0.15.0 - 2023-4-19","type":"extras"},{"doc":"Fix github actions configuration, set remote origin url properly","ref":"changelog.html#0-14-0-2023-4-19","title":"Changelog - 0.14.0 - 2023-4-19","type":"extras"},{"doc":"Fix github actions configuration, set remote origin url properly","ref":"changelog.html#0-13-0-2023-4-19","title":"Changelog - 0.13.0 - 2023-4-19","type":"extras"},{"doc":"Fix github actions configuration, set remote origin url properly","ref":"changelog.html#0-12-0-2023-4-19","title":"Changelog - 0.12.0 - 2023-4-19","type":"extras"},{"doc":"Fix version release configuration, no need to maintain develop branch github actions configuration","ref":"changelog.html#0-11-0-2023-4-19","title":"Changelog - 0.11.0 - 2023-4-19","type":"extras"},{"doc":"Fix Error parsing from IVCV","ref":"changelog.html#0-10-0-2023-4-19","title":"Changelog - 0.10.0 - 2023-4-19","type":"extras"},{"doc":"Added stub for video analysis request error","ref":"changelog.html#0-9-0-2023-4-19","title":"Changelog - 0.9.0 - 2023-4-19","type":"extras"},{"doc":"Added get video analisys result endpoint","ref":"changelog.html#0-8-1-rc-0-2023-4-17","title":"Changelog - 0.8.1-rc.0 - 2023-4-17","type":"extras"},{"doc":"Dependencies version_release 0.5.1 =&gt; 0.5.2","ref":"changelog.html#0-8-0-2023-4-5","title":"Changelog - 0.8.0 - 2023-4-5","type":"extras"},{"doc":"","ref":"changelog.html#0-7-2-2023-4-5","title":"Changelog - 0.7.2 - 2023-4-5","type":"extras"},{"doc":"","ref":"changelog.html#0-7-1-2023-4-5","title":"Changelog - 0.7.1 - 2023-4-5","type":"extras"},{"doc":"Fix enabled hex force publish config for version_release","ref":"changelog.html#0-7-0-2023-4-5","title":"Changelog - 0.7.0 - 2023-4-5","type":"extras"},{"doc":"Dependencies version_release 0.5.0 =&gt; 0.5.1","ref":"changelog.html#0-6-0-2023-4-5","title":"Changelog - 0.6.0 - 2023-4-5","type":"extras"},{"doc":"","ref":"changelog.html#0-5-4-2023-3-31","title":"Changelog - 0.5.4 - 2023-3-31","type":"extras"},{"doc":"","ref":"changelog.html#0-5-3-2023-3-31","title":"Changelog - 0.5.3 - 2023-3-31","type":"extras"},{"doc":"","ref":"changelog.html#0-5-2-2023-3-31","title":"Changelog - 0.5.2 - 2023-3-31","type":"extras"},{"doc":"","ref":"changelog.html#0-5-1-2023-3-31","title":"Changelog - 0.5.1 - 2023-3-31","type":"extras"},{"doc":"","ref":"changelog.html#0-5-0-2023-3-31","title":"Changelog - 0.5.0 - 2023-3-31","type":"extras"},{"doc":"","ref":"changelog.html#0-4-2-2023-3-31","title":"Changelog - 0.4.2 - 2023-3-31","type":"extras"},{"doc":"","ref":"changelog.html#0-4-1-2023-3-31","title":"Changelog - 0.4.1 - 2023-3-31","type":"extras"},{"doc":"","ref":"changelog.html#0-4-0-2023-3-31","title":"Changelog - 0.4.0 - 2023-3-31","type":"extras"},{"doc":"","ref":"changelog.html#0-3-0-2023-3-31","title":"Changelog - 0.3.0 - 2023-3-31","type":"extras"},{"doc":"Added Initial setup","ref":"changelog.html#0-2-0-2023-3-31","title":"Changelog - 0.2.0 - 2023-3-31","type":"extras"},{"doc":"MIT License Copyright (c) 2023 Wois Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"LICENSE","type":"extras"}]